pkgTagFile Class Reference

## Public Types

enum | Flags { STRICT = 0 , SUPPORT_COMMENTS = 1 << 0 }

## Public Member Functions

bool | Step (pkgTagSection &Section)
unsigned long | Offset ()
bool | Jump (pkgTagSection &Tag, unsigned long long Offset)
void | Init (FileFd *const F, pkgTagFile::Flags const Flags, unsigned long long Size=APT_BUFFER_SIZE)
void | Init (FileFd *const F, unsigned long long const Size=APT_BUFFER_SIZE)
| pkgTagFile (FileFd *const F, pkgTagFile::Flags const Flags, unsigned long long Size=APT_BUFFER_SIZE)
| pkgTagFile (FileFd *const F, unsigned long long Size=APT_BUFFER_SIZE)

## Detailed Description

prepares a deb822 formatted file for parsing via pkgTagSection. The default mode tries to be as fast as possible and assumes perfectly valid (machine generated) files like Packages. Support for comments e.g. needs to be enabled explicitly.

The documentation for this class was generated from the following files:

- apt-pkg/tagfile.h
- apt-pkg/tagfile.cc